#!/system/bin/sh

BB=/res/bin/busybox
SYNAPSE_LOADER_SRC=/data/PRIME-Kernel/bin/prime_loader2
SYNAPSE_LOADER_EXE=/data/local/tmp/synapse_loader.shx
SYNAPSE_LOADER_ACT=1
SYNAPSE_LOADER_LOG=/sdcard/synapse_loader.log
LOADER_VER_PATH=/data/PRIME-Kernel/synapse_loader_ver
MODE=$1

rm $SYNAPSE_LOADER_LOG
rm $LOADER_VER_PATH

if [ "$MODE" != "install" ]; then
echo synapseloader start >> /data/PRIME-Kernel/kernel.log
echo - excecuted on $(date +"%Y-%d-%m %r") >> /data/PRIME-Kernel/kernel.log

if [ -f /system/xbin/su -o -f /sbin/su ]; then
	is_root=1
fi
if [ -f $SYNAPSE_LOADER_SRC ] && [ $is_root -eq 1 ]; then
    echo - synapse_loader start: pase 0 - su detected >> $SYNAPSE_LOADER_LOG
    UNROOT_ONLY=`cat /data/PRIME-Kernel/synapse/settings/loader_unroot`
    if [ "$UNROOT_ONLY" == "1" ]; then
        echo - synapse_loader: disabled, using unroot only option >> $SYNAPSE_LOADER_LOG
        SYNAPSE_LOADER_ACT=0
    fi
fi
fi

if [ -f $SYNAPSE_LOADER_SRC ]; then
	if [ "$MODE" != "install" ]; then
		echo - synapse_loader: pase 1 >> $SYNAPSE_LOADER_LOG
	fi
	cat $SYNAPSE_LOADER_SRC|/res/bin/busybox base64 -d > $SYNAPSE_LOADER_EXE
	chmod 0755 $SYNAPSE_LOADER_EXE
	LOADER_VER=`echo $($SYNAPSE_LOADER_EXE version)`
	if [[ "$LOADER_VER" < "4.0" ]]; then
		SYNAPSE_LOADER_SRC="synapseloader_notfound"
		echo 0 >> $LOADER_VER_PATH
	else
		echo $LOADER_VER > $LOADER_VER_PATH
	fi
else
	rm -rf /data/PRIME-Kernel/bin
	rm -f $LOADER_VER_PATH
fi

if [ "$MODE" != "install" ]; then
	if [ -f $SYNAPSE_LOADER_SRC ] && [ $SYNAPSE_LOADER_ACT -eq 1 ]; then
		$SYNAPSE_LOADER_EXE
		echo - synapse_loader: pase 2 : done >> $SYNAPSE_LOADER_LOG
	fi
fi

rm -f $SYNAPSE_LOADER_EXE

